package session;

sub check {
	my $cgi;
	my $session_id;
	my $session;

	($cgi) = @_;

	$session_id = $cgi->cookie('CGISESSID') || $cgi->param('CGISESSID');
	if (!defined($session_id)) {
		cgilib::error($cgi, "Cannot find session ID.");
		exit;
	}

	$session = CGI::Session->new(undef, $session_id,
					{ Directory => './session' });

	if ($session_id != $session->id) {
		cgilib::error($cgi, "Session ID is invalid.");
		$session->delete();
		exit;
	}

	return ($session_id, $session);
}

1;
