package cgilib;

sub header {
	my $cgi;
	my $title;
	($cgi, $title) = @_;
	print $cgi->header(-charset=>'EUC-JP');
	print $cgi->start_html(-lang=>'ja',
				-encoding=>'EUC-JP',
				-title=>$title);
}

sub footer {
	my $cgi;
	($cgi) = @_;
	print $cgi->end_html;
}

sub error {
	my $cgi;
	my $message;
	($cgi, $message) = @_;
	header($cgi, "Error");
	print "<center><h1>";
	print "$message";
	print '<a href="login.cgi">Retry</a>';
	print '</h1></center>';
	footer($cgi);
}

sub menu {
	my $session_id;
	my $name;
	my $param;

	($session_id, $name) = @_;

	$param = ' width="150"';

	print '<center><h2>';
	print "$name";
	print "<table border=\"0\"><tr>";
	print "<td$param>Menu:</td>";
	print "<td$param>";
	print "<a href=\"home.cgi?CGISESSID=$session_id\">Home</a>";
	print "</td>";
	print "<td$param>";
	print "<a href=\"history.cgi?CGISESSID=$session_id\">History</a>";
	print "</td>";
	print "<td$param>";
	print "<a href=\"ranking.cgi?CGISESSID=$session_id\">Ranking</a>";
	print "</td>";
	print "<td$param>";
	print "<a href=\"popular.cgi?CGISESSID=$session_id\">Popular</a>";
	print "</td>";
	print "<td$param>";
	print "<a href=\"progress.cgi?CGISESSID=$session_id\">Progress</a>";
	print "</td>";
	print "<td$param>";
	print "<a href=\"logout.cgi?CGISESSID=$session_id\">Logout</a>";
	print "</td>";
	print "</tr></table>";
	print '</h2></center>';
}

1;
